Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse.model
[Groovy] Class Wtp

    java.lang.Object
      org.gradle.plugins.eclipse.model.Wtp

    class Wtp

Authors:
  Hans Dockter

Property Summary
`java.lang.String` | `contextPath`
`java.lang.String` | `deployName`
`java.util.List` | `facets`
`java.util.List` | `wbModuleEntries`

Constructor Summary
`Wtp(EclipseWtp eclipseWtp, java.util.List wbModuleEntries, java.io.Reader inputOrgEclipseWstCommonComponentXml, java.io.Reader inputOrgEclipseWstCommonProjectFacetCoreXml)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`void` | `toXml(java.io.File orgEclipseWstCommonComponentXmlFile, java.io.File orgEclipseWstCommonProjectFacetCoreXmlFile)`
`java.lang.Object` | `toXml(java.io.Writer orgEclipseWstCommonComponentXmlWriter, java.io.Writer orgEclipseWstCommonProjectFacetCoreXmlWriter)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### contextPath

    java.lang.String contextPath

### deployName

    java.lang.String deployName

### facets

    java.util.List facets

### wbModuleEntries

    java.util.List wbModuleEntries

Constructor Detail

### Wtp

    Wtp(EclipseWtp eclipseWtp, java.util.List wbModuleEntries, java.io.Reader inputOrgEclipseWstCommonComponentXml, java.io.Reader inputOrgEclipseWstCommonProjectFacetCoreXml)

Method Detail

### equals

    boolean equals(java.lang.Object o)

### hashCode

    int hashCode()

### toString

    java.lang.String toString()

### toXml

    void toXml(java.io.File orgEclipseWstCommonComponentXmlFile, java.io.File orgEclipseWstCommonProjectFacetCoreXmlFile)

### toXml

    java.lang.Object toXml(java.io.Writer orgEclipseWstCommonComponentXmlWriter, java.io.Writer orgEclipseWstCommonProjectFacetCoreXmlWriter)

Groovy Documentation